### Method

# GLib String insert

#### Declaration

    GString*
    g_string_insert (
      GString* string,
      gssize pos,
      const gchar* val
    )

#### Description

Inserts a copy of a string into a `GString`, expanding it if necessary.

#### Parameters

`pos`

  Type: `gssize`

  The position to insert the copy of the string.

`val`

  Type: `const gchar*`

  The string to insert.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GString`

`string`.

The data is owned by the instance.